
User Interface - Bug #2759

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

the key input becomes frozen (no deadlock) if the keys are pressed rapidly

10/14/2015 02:52 PM - Sergey Ivanovskiy

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/14/2015 03:11 PM - Greg Shah

- Subject changed from The key input becomes frozen (no deadlock) if the keys are pressed rapidly to the key input becomes frozen (no deadlock) if

the keys are pressed rapidly

- Description updated

- Target version set to Milestone 12

- Start date deleted (10/14/2015)

Moved "Description" text to here:

1)Open web client for simple server running testcases/uast/demo/demo_widgets.p.

2)Click on the editor to focus it.

There are two possible reproducible states:

a) Sometimes the key input becomes frozen, but there are no dead locks. It can be refreshed again by clicking on the other widgets on the demo

frame and then moving focus to the target editor.

b) The key input is not frozen and pressing keys rapidly leads to it becomes frozen for a several seconds and then wakes up with printed keys that

have been typed before but have not been visible on the editor.

#2 - 03/23/2016 05:09 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
